org.activiti.engine.task

## Enum DelegationState

- java.lang.Object
- - java.lang.Enum<DelegationState>
  - - org.activiti.engine.task.DelegationState

- All Implemented Interfaces:
    Serializable, Comparable<DelegationState>

      public enum DelegationState
      extends Enum<DelegationState>

  Defines the different states of delegation that a task can be in.
  Author:
    Tom Baeyens

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PENDING` The owner delegated the task and wants to review the result after the assignee has resolved the task.
    `RESOLVED` The assignee has resolved the task, the assignee was set to the owner again and the owner now finds this task back in the ToDo list for review.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DelegationState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DelegationState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PENDING

          public static final DelegationState PENDING

      The owner delegated the task and wants to review the result after the assignee has resolved the task. When the assignee completes the task, the task is marked as `RESOLVED` and sent back to the owner. When that happens, the owner is set as the assignee so that the owner gets this task back in the ToDo.

    - #### RESOLVED

          public static final DelegationState RESOLVED

      The assignee has resolved the task, the assignee was set to the owner again and the owner now finds this task back in the ToDo list for review. The owner now is able to complete the task.

  - ### Method Detail

    - #### values

          public static DelegationState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DelegationState c : DelegationState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DelegationState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 Alfresco. All rights reserved.